/*
    This file is part of SUPPL - the supplemental library for DOS
    Copyright (C) 1996-2000 Steffen Kaiser

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public
    License along with this library; if not, write to the Free
    Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/
/* $RCSfile: CFGIGCSN.C $
   $Locker: ska $	$Name:  $	$State: Exp $

	char *cfgGetCurSecName(void);

	Return a pointer to a static buffer containing the current
	section name, aquired out of the user INI file or, if not
	present there, the system INI file.

	If NULL is returned, the beginning of the file is the current
	section.

ob(ject): cfgGetCurSecName
su(bsystem): inifile/2
sh(ort description): Return the name of the current section
lo(ng description): Return a pointer to the name of the current section
 as it is written within the INI files (userfile tried first).
va: NULL: the beginning of the file preceeding the first section
re(lated to): cfgOpenSection
fi(le): cfgigcsn.c
in(itialized by): cfgInitINI

*/

#include "initsupl.loc"

#ifndef _MICROC_
#endif
#include "inifile.loc"

#include "suppldbg.h"

#ifdef RCS_Version
static char const rcsid[] = 
	"$Id: CFGIGCSN.C 1.3 1999/12/13 02:22:22 ska Exp ska $";
#endif

char *cfgGetCurSecName(void)
{	DBG_ENTER("cfgGetCurSecName", Suppl_inifile2)
	DBG_RETURN_S(	I(key))
}
